%define api 0.9.1
%define major 3
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	A Gtk+-Widget for Fast Data Display
Summary(de):	Ein GTK+ Widget für schnelle Datenanzeige
Name:		gtkdatabox
Version:	0.9.1.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://sourceforge.net/projects/gtkdatabox/
Source0:	http://sourceforge.net/projects/gtkdatabox/files/gtkdatabox/0.9.1.3/%name-%version.tar.xz
Patch0:		gtkdatabox-0.9.0.1-linkage.patch
Patch1:		makefile-glib.patch
Patch2:         libgtkdatabox-0.9.1.3-gtk-2.22.patch
Patch3:         libgtkdatabox-0.9.1.3-gdk-deprecated.patch
Patch4:         libgtkdatabox-ld_fix.diff
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-doc
BuildRequires:	%{_lib}glib2.0_0-devel+
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:      %{name} < %{version}

%description
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy. One or more data sets of
thousands of data points (X and Y coordinate) may be displayed and
updated in split seconds. The widget is therfore used in many scientific
and private projects that need to show quickly changing data "live".

GtkDatabox offers the ability to zoom into and out of the data and to
navigate through your data by scrolling. In addition to rulers and
a simple coordinate cross, GtkDatabox now also allows you to add one
(or even more) configurable grids like on an oscilloscope.

%description -l de
GtkDatabox ist ein Widget für die Gtk +-Bibliothek, entwickelt um große Mengen von 
numerischen Daten schnell und einfach anzuzeigen. Ein oder mehrere Datensätze
von Tausenden Datenpunkten (X- und Y-Koordinate) können Aktualisiert in 
Sekundenbruchteilen angezeigt werden. Das Widget ist daher in vielen wissenschaftlichen
und private Projekte verwendet, die schnell veränderte Daten zeigen müssen.

GtkDatabox bietet die Möglichkeit, in und aus den Daten zu zoomen und 
durch Ihre Daten zu navigieren, durch Scrollen. Neben dem Lineal und
einem einfachen Koordinatenkreuz, kann GtkDatabox nun auch ein 
(oder sogar mehrere) konfigurierbare Raster, wie auf einem Oszilloskop, hinzufügen.


%package -n %{libname}
Summary:	A Gtk+-Widget for Fast Data Display
Summary(de):	Ein GTK+ Widget für schnelle Datenanzeige
Group:		System/Libraries

%description -n	%{libname}
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy. 

%description -n	%{libname} -l de
GtkDatabox ist ein Widget für die Gtk +-Bibliothek, entwickelt um große Mengen von 
numerischen Daten schnell und einfach anzuzeigen.

%package -n %{develname}
Summary:	Development files for %{name}
Summary(de):	Entwicklungsdateien für %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%description -n	%{develname} -l de
Dieses Paket enthält alle notwendigen Dateien zum Kompilieren und Entwickeln
von Programmen/Bibliotheken, die %{name} benutzen.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
autoreconf -fi
%configure --disable-static --prefix=/usr
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%name


%changelog
* Sun Jun 24 2012 Neal <nealbrks0 at gmail dot com> 0.9.1.3-14pclos2012
- process

* Thu Jun 21 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.1.3-14pclos2012
- 0.9.1.3
- added xz compression
- refreshed urls project moved to sourceforge
- added german summaries and descriptions
- renamed spec to pclos-gtkdatabox.spec
- added BuildRequires:	%{_lib}glib2.0_0-devel+
- added makefile patch
- added patch set from open suse (patch2 to patch4)

* Fri Dec 25 2009 <texstar at gmail.com> 0.9.0.1-2pclos2010
- rebuild

* Mon Aug 03 2009 slick50 <lxgator@gmail.com> 0.9.0.1-1pclos2009
- import gtkdatabox

